//+------------------------------------------------------------------+
//|                                         TRO Plot Accumulator.mq4 |
//|                                                    Skyline, 2007 |
//|                                      http://www.forexpertutti.it |
//+------------------------------------------------------------------+
#property copyright "Skyline, 2007"
#property link      "http://www.forexpertutti.it"

#property indicator_chart_window
extern datetime StartTime = D'2007.01.01';

double val[];

//+------------------------------------------------------------------+
//| Custom indicator initialization function                         |
//+------------------------------------------------------------------+
int init()
  {
//---- indicators
   SetIndexBuffer(0,val);

//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator deinitialization function                       |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| Custom indicator iteration function                              |
//+------------------------------------------------------------------+
int start()
  {
   int CountBars,j;
   
   CountBars = iBarShift(NULL,0,StartTime,false);
   
   if (CountBars>Bars) CountBars=Bars;
   
   double OpenVal,HighVal,LowVal,Div;

   
   for (j=1;j<=11;j++) { val[j]=0; }
   
   int i=CountBars-1;
   while(i>=0)
   {
     OpenVal  = iOpen(NULL,0,i);
     HighVal  = iHigh(NULL,0,i);       
     LowVal   = iLow(NULL,0,i); 
     Div      = (HighVal-OpenVal)/OpenVal;
     if ((Div >= 0)   && (Div <= 0.01)) val[1]++;
     if ((Div > 0.01) && (Div <= 0.02)) val[2]++;   
     if ((Div > 0.02) && (Div <= 0.03)) val[3]++;   
     if ((Div > 0.03) && (Div <= 0.04)) val[4]++;   
     if ((Div > 0.04) && (Div <= 0.05)) val[5]++;   
     if ((Div > 0.05) && (Div <= 0.06)) val[6]++;   
     if ((Div > 0.06) && (Div <= 0.07)) val[7]++;   
     if ((Div > 0.07) && (Div <= 0.08)) val[8]++;   
     if ((Div > 0.08) && (Div <= 0.09)) val[9]++;   
     if ((Div > 0.09) && (Div <= 0.10)) val[10]++;   
     if (Div > 0.10)  val[11]++;   
	  i--;
	}
	
	// Show Value on charts 
	Comment("\nTRO PLOT ACCUMULATOR v1.0 (Skyline)",
	        "\n--------------------------------------------------------------",
	        "\nStart time = ",TimeToStr(StartTime),
	        "\nCountBars = ",CountBars,
	        "\n0%-1% = ",val[1],
	        "\n1%-2% = ",val[2],
	        "\n2%-3% = ",val[3],
	        "\n3%-4% = ",val[4],
	        "\n4%-5% = ",val[5],
	        "\n5%-6% = ",val[6],
	        "\n6%-7% = ",val[7],
	        "\n7%-8% = ",val[8],
	        "\n8%-9% = ",val[9],
	        "\n9%-10% = ",val[10],
	        "\n>10% = ",val[11]);
	        
   return(0);
  }
//+------------------------------------------------------------------+